I can't open 2019.02.20 (macOS 10.11.6)

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

I can't open 2019.02.20 (macOS 10.11.6)

Benjamin-2
Hi,

There's no crash, nothing happens after right-click open.
Weird (when you don't know what's going on) I can no longer open 2019.01.30.
But 2018.11.25 is fine.

I've found those errors in system.log:
Feb 21 09:21:23 Peurls-MacBook-Pro com.apple.xpc.launchd[1]
(org.openscad.OpenSCAD.391712[684]): Service exited with abnormal code: 1
Feb 21 09:21:30 Peurls-MacBook-Pro com.apple.xpc.launchd[1]
(org.openscad.OpenSCAD.391072[685]): Service exited with abnormal code: 1

It has been relevant by the past, maybe I should mention that it's a
2007 MacBook Pro, can't go highier than 10.11. It's perfectly acceptable
for me to stay with 2018.11.25

Benjamin

_______________________________________________
OpenSCAD mailing list
[hidden email]
http://lists.openscad.org/mailman/listinfo/discuss_lists.openscad.org
Reply | Threaded
Open this post in threaded view
|

Re: I can't open 2019.02.20 (macOS 10.11.6)

Marius Kintel
Would you mind opening a ticket?
These following things would be helpful:
* What exact CPU do you have?
* Can you find a stack trace, e.g in Console.app?
* Do you see any output when running OpenSCAD on the cmd-line?

 -Marius


> On Feb 21, 2019, at 04:02, Benjamin <[hidden email]> wrote:
>
> Hi,
>
> There's no crash, nothing happens after right-click open.
> Weird (when you don't know what's going on) I can no longer open 2019.01.30.
> But 2018.11.25 is fine.
>
> I've found those errors in system.log:
> Feb 21 09:21:23 Peurls-MacBook-Pro com.apple.xpc.launchd[1] (org.openscad.OpenSCAD.391712[684]): Service exited with abnormal code: 1
> Feb 21 09:21:30 Peurls-MacBook-Pro com.apple.xpc.launchd[1] (org.openscad.OpenSCAD.391072[685]): Service exited with abnormal code: 1
>
> It has been relevant by the past, maybe I should mention that it's a 2007 MacBook Pro, can't go highier than 10.11. It's perfectly acceptable for me to stay with 2018.11.25
>
> Benjamin
>
> _______________________________________________
> OpenSCAD mailing list
> [hidden email]
> http://lists.openscad.org/mailman/listinfo/discuss_lists.openscad.org

_______________________________________________
OpenSCAD mailing list
[hidden email]
http://lists.openscad.org/mailman/listinfo/discuss_lists.openscad.org
Reply | Threaded
Open this post in threaded view
|

Re: I can't open 2019.02.20 (macOS 10.11.6)

Benjamin-2

> Would you mind opening a ticket?
OK
> These following things would be helpful:
> * What exact CPU do you have?
2.4 GHz Intel Core 2 Duo
> * Can you find a stack trace, e.g in Console.app?
All I've found with Console are the two lines in my previous message.
Nothing in "Diagnostic and usage information".
> * Do you see any output when running OpenSCAD on the cmd-line?

Sorry, "OpenSCAD" can not be run on this version of macOS. Qt requires
macOS 10.12.0 or later, you have macOS 10.11.6.


Benjamin

>
>   -Marius
>
>
>> On Feb 21, 2019, at 04:02, Benjamin <[hidden email]> wrote:
>>
>> Hi,
>>
>> There's no crash, nothing happens after right-click open.
>> Weird (when you don't know what's going on) I can no longer open 2019.01.30.
>> But 2018.11.25 is fine.
>>
>> I've found those errors in system.log:
>> Feb 21 09:21:23 Peurls-MacBook-Pro com.apple.xpc.launchd[1] (org.openscad.OpenSCAD.391712[684]): Service exited with abnormal code: 1
>> Feb 21 09:21:30 Peurls-MacBook-Pro com.apple.xpc.launchd[1] (org.openscad.OpenSCAD.391072[685]): Service exited with abnormal code: 1
>>
>> It has been relevant by the past, maybe I should mention that it's a 2007 MacBook Pro, can't go highier than 10.11. It's perfectly acceptable for me to stay with 2018.11.25
>>
>> Benjamin
>>
>> _______________________________________________
>> OpenSCAD mailing list
>> [hidden email]
>> http://lists.openscad.org/mailman/listinfo/discuss_lists.openscad.org
> _______________________________________________
> OpenSCAD mailing list
> [hidden email]
> http://lists.openscad.org/mailman/listinfo/discuss_lists.openscad.org
>


_______________________________________________
OpenSCAD mailing list
[hidden email]
http://lists.openscad.org/mailman/listinfo/discuss_lists.openscad.org
Reply | Threaded
Open this post in threaded view
|

Re: I can't open 2019.02.20 (macOS 10.11.6)

kintel
Administrator
On Feb 21, 2019, at 10:17, Benjamin <[hidden email]> wrote:
>
> Sorry, "OpenSCAD" can not be run on this version of macOS. Qt requires macOS 10.12.0 or later, you have macOS 10.11.6.
>
Thanks, that was the key.
This is likely a build issue, as we've recently added a few more dependencies. I'll see if I can locate an older Mac VM and do some testing.
A ticket to track this would still be useful!

FYI: Our goal is to support 10.9 and up.

 -Marius


_______________________________________________
OpenSCAD mailing list
[hidden email]
http://lists.openscad.org/mailman/listinfo/discuss_lists.openscad.org
Reply | Threaded
Open this post in threaded view
|

Re: I can't open 2019.02.20 (macOS 10.11.6)

Benjamin-2

> A ticket to track this would still be useful!
https://github.com/openscad/openscad/issues/2805

Thank you.
Benjamin

_______________________________________________
OpenSCAD mailing list
[hidden email]
http://lists.openscad.org/mailman/listinfo/discuss_lists.openscad.org